/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid;

import de.ozgcloud.common.attached_item.AttachedItemTestFactory;
import de.ozgcloud.common.binaryfile.FileId;
import de.ozgcloud.document.DocumentTestFactory;

public class GrpcBescheidWithoutDocumentTestFactory {

	public static GrpcBescheid create() {
		return createBuilder().build();
	}

	public static GrpcBescheid.Builder createBuilder() {
		return GrpcBescheid.newBuilder()
				.setId(AttachedItemTestFactory.ID)
				.setVersion(AttachedItemTestFactory.VERSION)
				.setStatus(BescheidTestFactory.STATUS.name())
				.setBeschiedenAm(BescheidTestFactory.BESCHIEDEN_AM_STR)
				.setBewilligt(BescheidTestFactory.BEWILLIGT)
				.setBescheidDocument(DocumentTestFactory.ID)
				.addAllAttachments(BescheidTestFactory.ATTACHMENTS.stream().map(FileId::toString).toList())
				.setSendBy(BescheidTestFactory.SEND_BY.name())
				.setNachrichtText(BescheidTestFactory.NACHRICHT_TEXT)
				.setNachrichtSubject(BescheidTestFactory.NACHRICHT_SUBJECT)
				.setSentInfo(GrpcSentInfoTestFactory.create());
	}
}