/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid.vorgang;

import java.util.UUID;

import de.ozgcloud.document.bescheid.vorgang.Vorgang;
import de.ozgcloud.document.bescheid.vorgang.VorgangId;

public class VorgangTestFactory {

	public static final String ID_STR = UUID.randomUUID().toString();
	public static final VorgangId ID = VorgangId.from(ID_STR);
	public static final long VERSION = 1L;

	public static Vorgang create() {
		return createBuilder().build();
	}

	public static Vorgang.VorgangBuilder createBuilder() {
		return Vorgang.builder()
				.id(ID)
				.version(VERSION)
				.serviceKonto(ServiceKontoTestFactory.create())
				.vorgangName("KFAS_LIVE_KI_10_Haltverbot_befristet")
				.vorgangNummer("ABC-123-XY")
				.aktenzeichen("DE-HÖÄ-003");
	}

}
